petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMNetworkDistribute

Distributes the network and moves associated component data.

### Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkDistribute(DM oldDM, PetscInt overlap,DM *distDM)

Collective Many br

### Input Parameter

| oldDM | - the original DMNetwork object Many br
| overlap | - The overlap of partitions, 0 is the default Many br

### Output Parameter

distDM -the distributed DMNetwork object Many br

### Notes

This routine should be called only when using multiple processors. Many br

Distributes the network with <overlap>-overlapping partitioning of the edges. Many br

Many br

### See Also

DMNetworkCreate

Level:intermediate
Location:src/dm/impls/network/network.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages